package jobqueue

import (
	"testing"
)

func TestRunnableCounter(t *testing.T) {

	runner := &CounterRunnable{}

	r, err := runner.Run()
	if err != nil {
		t.Errorf("Unexpected error: %v", err)
	}

	if r.Status != ResultStatusSuccess {
		t.Errorf("Unexpected result status: %v", r.Status)
	}

	if r.Data.Count != 1 {
		t.Errorf("Unexpected result data: %v", r.Data)
	}

}
